package com.zcloud.service.keyProjects.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.keyProjects.KeyprojectCheckInfoMapper;
import com.zcloud.service.keyProjects.KeyprojectCheckInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：重点工程检查内容
 * 作者：luoxiaobao
 * 时间：2022-09-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class KeyprojectCheckInfoServiceImpl implements KeyprojectCheckInfoService {

	@Autowired
	private KeyprojectCheckInfoMapper keyprojectcheckinfoMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		keyprojectcheckinfoMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		keyprojectcheckinfoMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		keyprojectcheckinfoMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return keyprojectcheckinfoMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return keyprojectcheckinfoMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return keyprojectcheckinfoMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		keyprojectcheckinfoMapper.deleteAll(ArrayDATA_IDS);
	}

}

